DELETE
/api/v1/nodes/{node_id}/scheduled_actions/{action_id}/
curl --request DELETE \ --url 'https://api.e2enetworks.com/myaccount/api/v1/nodes/{node_id}/scheduled_actions/{action_id}/?project_id=<PROJECT_ID>&apikey=<API_KEY>&location=<LOCATION>' \ --header 'Authorization: Bearer <API_TOKEN>'import requests
response = requests.delete( "https://api.e2enetworks.com/myaccount/api/v1/nodes/{node_id}/scheduled_actions/{action_id}/", params={"project_id": "<PROJECT_ID>", "apikey": "<API_KEY>", "location": "<LOCATION>"}, headers={"Authorization": "Bearer <API_TOKEN>"},)print(response.json())const url = new URL("https://api.e2enetworks.com/myaccount/api/v1/nodes/{node_id}/scheduled_actions/{action_id}/");url.search = new URLSearchParams({ project_id: "<PROJECT_ID>", apikey: "<API_KEY>", location: "<LOCATION>" });
const response = await fetch(url, { method: "DELETE", headers: { "Authorization": "Bearer <API_TOKEN>" },});console.log(await response.json());Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”node_id
required
string
Path parameter node_id.
action_id
required
string
Path parameter action_id.
Query Parameters
Section titled “Query Parameters”project_id
required
integer
Identifier of the project to scope the request to. Required integer project ID.
Example
<PROJECT_ID>apikey
required
string
API key used to authenticate the request
Example
<API_KEY>location
required
string
E2E Myaccount region identifier for the delete schedule request
Example
<LOCATION>Responses
Section titled “Responses”Successful response
Media typeapplication/json
object
code
HTTP status code indicating the result of the delete operation
integer
data
Identifier of the deleted schedule
integer
errors
object
message
Human-readable status message indicating the result of the delete operation
string
Example
{ "code": 200, "data": 12345, "message": "successfully deleted scheduled action"}